Page MenuHomePhabricator

build: rewrite remaining $(OBJEXT) rules
ClosedPublic

Authored by zmike on Jul 24 2018, 8:42 AM.

Details

Summary

fix the naming for these targets based on automake 1.16+ presence and
naming scheme

ref D6594
fix T7154

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 24 2018, 8:42 AM
zmike requested review of this revision.Jul 24 2018, 8:42 AM
zmike added a reviewer: vtorri.Aug 1 2018, 7:26 AM
stefan_schmidt accepted this revision.Aug 7 2018, 12:21 AM
This revision is now accepted and ready to land.Aug 7 2018, 12:21 AM
stefan_schmidt requested changes to this revision.Aug 7 2018, 2:28 AM

When testing this patch I get the following build error which I do not get without this patch:

eolian: /home/stefan/EFL/efl/src/tests/eolian_cxx/a.eo:1:7: struct 'A' redefined as class (originally at decl.eo:1:8) near 'A'
class A (Efl.Object)

This revision now requires changes to proceed.Aug 7 2018, 2:28 AM
zmike added a subscriber: q66.Aug 7 2018, 7:59 AM

I think that's possibly an eolian bug? I don't know how/why it's picking up the definition from an unrelated file...

@q66 can you examine this?

zmike added a comment.Aug 7 2018, 8:03 AM

@q66 if you are not familiar with using libtool in this way:

  1. build with cxx bindings enabled
  2. cd src
  3. EFL_RUN_IN_TREE=1 libtool --mode=execute gdb --args ../src/bin/eolian/eolian_gen -I. -S -gc -o c:tests/eolian/data/decl.eo.c tests/eolian/data/decl.eo
This revision was not accepted when it landed; it landed in state Needs Revision.Aug 8 2018, 6:29 AM
This revision was automatically updated to reflect the committed changes.